D4Science Infrastructure - Incident #8358

Geoanalytics portlet: Problematic deployment
May 04, 2017 04:51 PM - Panagiota Koltsida

Status: Closed Start date: May 04, 2017
Priority: Urgent Due date:

Assignee: Massimiliano Assante % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

Today we are experiencing problems when we try to test the geoanalytics portlet in production.

From our tests we have concluded that whenever the "infra2" node is used the portlet is not working, whereas there is no problem
with "infra1" node.

We made the last tests 5 minutes ago (time: 16:35 to 16:45 CEST) in the problematic node.

Could you please provide us with the logs?
In addition, could you check again if the 2 wars are identical? (Massi already did this, but we still have the same problem)

If the problem persists, | would then suggest to hot re-deploy the portlet to infra2 node.

History

#1 - May 04, 2017 05:00 PM - Massimiliano Assante

- Status changed from New to In Progress

#5 - May 04, 2017 05:43 PM - Massimiliano Assante

kostas, | think @andrea.dellamico@isti.cnr.it can answer you

#7 - May 04, 2017 06:18 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Andrea Dell’Amico

Andrea can you please check?

#9 - May 04, 2017 07:03 PM - Kostas Kakaletris

- Assignee changed from Andrea Dell'Amico to Massimiliano Assante

#20 - May 05, 2017 12:23 PM - Vassilis Floros

Permission denied again.

#21 - May 05, 2017 12:51 PM - Vassilis Floros

| connected, thank you.

#22 - May 05, 2017 03:10 PM - Vassilis Floros

The logs didn't help me as much as | thought. So, | checked Geoanalytics portlet in the pre-production Portal and saw that the portlet could discover
the service successfully for both nodes(preprod2 and preprod1).
At this point, the only thing | can think of that could help is hot re-deploying the portlet as Panagiota Koltsida suggested in the first place, thank you.

#23 - May 05, 2017 03:24 PM - Massimiliano Assante
- % Done changed from 0 to 50

#26 - May 05, 2017 05:13 PM - Massimiliano Assante
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

The portlet has been redeployed (and the server restarted). It seems ok now on all the instances. Here's the log from the problematic gateway, no
exceptions this time.
No sure what was the cause though ...

2017-05-05 15:10:40,396 INFO icclient.ICClient [http-bio-9090-exec-58,callService:65] %[PORTAL] 489658 [http-
Pio-9090-exec-58] INFO org.gcube.resources.discovery.icclient.ICClient - executed query declare namespace ic
= 'http://gcube-system.org/namespaces/informationsystem/registry'; for S$resource in collection('/db/Profiles/
RunningInstance')//Document/Data/ic:Profile/Resource where (S$resource/Profile/ServiceClass/text () eq 'geoanaly
tics') and (Sresource/Profile/ServiceName/text () eq 'geocanalytics-main-service') return S$resource in 71 ms
[PORTAL] 489661 [http-bio-9090-exec-58] INFO gr.cite.bluebridge.endpoint.EndpointManager - Discovered 1 serv
ice endpoints for scope /d4science.research-infrastructures.eu/gCubeApps/SIASPA
[PORTAL] 489662 [http-bio-9090-exec-58] INFO gr.cite.bluebridge.endpoint.EndpointManager - Returned 1 servic
e endpoint (s)
2017-05-05 15:10:40,407 INFO portlets.GeoanalyticsHome [http-bio-9090-exec-58,doRequest:166] %$15:10:40,407 IN
FO [http-bio-9090-exec-58] [GeoanalyticsHome:166] Using discovered Geoanalytics Service at http://d1045.madgik
.di.uoca.gr:8080/geocanalytics/

[PORTAL] 489697 [http-bio-9090-exec-12] INFO gr.cite.bluebridge.endpoint.EndpointManager - Returned 1 servic
e endpoint (s)
[PORTAL] 489912 [http-bio-9090-exec-19] INFO gr.cite.bluebridge.endpoint.EndpointManager - Returned 1 servic

e endpoint (s)

#27 - May 05, 2017 05:27 PM - Vassilis Floros

Yes, strange behaviour. Probably, some deployment issue.

Anyway, thank you all for the help.

Dec 14, 2025 22


http://www.tcpdf.org

